#
# spec file for package openstack-murano-doc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component murano

%define version_unconverted 5.0.0.0b3.dev15

Name:           openstack-%{component}-doc
Version:        5.0.0.0~xbeta3~dev15
Release:        1.1
Summary:        OpenStack Application Catalog (Murano) - Documentation
License:        Apache-2.0
Group:          Documentation/HTML
Url:            https://launchpad.net/murano
Source:         http://tarballs.openstack.org/murano/murano-master.tar.gz
BuildRequires:  graphviz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Babel
BuildRequires:  python-Paste
BuildRequires:  python-PasteDeploy
BuildRequires:  python-Routes
BuildRequires:  python-SQLAlchemy
BuildRequires:  python-Sphinx
BuildRequires:  python-WebOb
BuildRequires:  python-base
BuildRequires:  python-eventlet
BuildRequires:  python-glanceclient
BuildRequires:  python-iso8601
BuildRequires:  python-lxml
BuildRequires:  python-murano = %{version}
BuildRequires:  python-muranoclient
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.config
BuildRequires:  python-oslosphinx
BuildRequires:  python-paramiko
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-sphinxcontrib-httpdomain
BuildRequires:  python-sqlalchemy-migrate
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OpenStack Application Catalog (Murano).

This package contains documentation files for %{name}.

%prep
%setup -q -n murano-%{version_unconverted}
%openstack_cleanup_prep
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
python setup.py build_sphinx
rm doc/build/html/.buildinfo # Remove unneeded files

%install

%files
%defattr(-,root,root,-)
%doc LICENSE doc/build/html

%changelog
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version murano-5.0.0.0b3.dev15:
  * Updated from global requirements
  * Remove old job names
  * Follow Zuul v3 naming conventions
  * Remove python-dev from list of preinstalled packages
* Sun Jan 14 2018 cloud-devel@suse.de
- Update to version murano-5.0.0.0b3.dev8:
  * Configure murano dashboard selenium tests configuration
* Tue Jan  2 2018 cloud-devel@suse.de
- Update to version murano-5.0.0.0b3.dev7:
  * Support shared IP address range
  * Imported Translations from Zanata
  * Fix the deprecated usage of "get\_transport"
* Wed Dec 20 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b3.dev3:
  * Updated from global requirements
* Tue Dec 19 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b3.dev2:
  * Updated from global requirements
* Fri Dec 15 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b3.dev1:
  5.0.0.0b2
  * Remove murano-tempest-plugin entry from setup.cfg
  * Document error
  * Updated from global requirements
  * Add README for remove murano\_tempest\_tests from murano repo
  * Remove murano\_tempest\_tests from murano repo
  * Minor updates to encryption docs
  * Murano tempest job with separate tempest plugin
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev33:
  * Updated from global requirements
  * Remove the unused install venv scriptes
  * Fix murano-congress-devstack-dsvm job
* Mon Dec  4 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev28:
  * Correct misspelling in Murano doc
  * Fix the incorrect documentation indent
* Sat Dec  2 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev25:
  * Updated from global requirements
  * Zuul: add file extension to playbook path
  * Do not use “-y” for package install
* Fri Dec  1 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev19:
  * Fix the gate failed
  * Add legacy murano-dsvm-functional job
* Tue Nov 21 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev16:
  * Remove setting of version/release from releasenotes
  * Remove separate firstapp build
* Fri Nov 17 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev13:
  * Updated from global requirements
  * Updated from global requirements
  * Fix rally-dsvm-murano-task job failed
  * Updated murano-cfapi-paste.ini with http\_proxy\_to\_wsgi
* Thu Nov 16 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev5:
  * Move legacy jobs to project
* Wed Nov 15 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev4:
  * Updated from global requirements
* Sun Nov  5 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev3:
  * Use secure path join
* Sat Nov  4 2017 cloud-devel@suse.de
- Update to version murano-5.0.0.0b2.dev1:
  5.0.0.0b1
  * Updated from global requirements
* Thu Oct 19 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev48:
  * Updated from global requirements
  * Log message
  * Format string sequence error
* Sat Oct  7 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev43:
  * Remove fallback to [keystone\_authtoken]
* Sat Sep 30 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev41:
  * Remove download murano images from app.openstack.org
* Wed Sep 27 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev39:
  * Replace keystoneclient with keystoneauth
  * Updated from global requirements
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev36:
  * Updated from global requirements
  * Updated from global requirements
  * Environment configuration API
* Wed Sep 20 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev32:
  * List environments api document
  * [Trivialfix]Fix typos in murano
  * Code optimization
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev26:
  * Updated from global requirements
  * Update and replace http with https for doc links
  * Api document error
* Tue Sep  5 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev21:
  * Remove unused param
* Mon Sep  4 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev19:
  * Updated from global requirements
* Tue Aug 29 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev18:
  * Fix to use "." to source script files
* Fri Aug 25 2017 tbechtold@suse.com
- Remove python-mox from BuildRequires
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev17:
  * Implement environment audit reports
  * Added Tempest API client methods and Tempest tests for sessions and deployments
  * Updated from global requirements
* Wed Aug 23 2017 tbechtold@suse.com
- Fix doc build
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev12:
  * Updated from global requirements
  * Remove pbr warnerrors
  * Updated from global requirements
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev7:
  * Deploy murano-api via uwsgi
  * Ensure assigned-ips output is present in Heat template with Nova Network
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev4:
  * Add securityGroups param to NovaNetwork joinInstance method in Core Library
* Sun Aug 13 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0rc2.dev3:
  * Update reno for stable/pike
  * Using oslo generator config file generate murano config
  4.0.0.0rc1
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b4.dev22:
  * Added Tempest tests for publicizing a package
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b4.dev20:
  * Added Tempest negative tests for environments
  * Fix Murano API in Installation Guide
  * Refine skip messages
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b4.dev14:
  * Handle available volume client versions
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b4.dev12:
  * Remove install-guide env which is no longer effective
  * Update the documentation link for doc migration
  * Add decryptData yaql function to murano engine
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b4.dev7:
  * Use consistent session options
  * Add configuration guide
  * Updated from global requirements
  4.0.0.0b3
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev59:
  * Fix murano\_auth usage
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev57:
  * Add idempotent\_id decorators to murano\_tempest\_tests
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev55:
  * Update murano policies documentation
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev54:
  * Updated from global requirements
  * Move admin\_index.rst to index.rst
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev51:
  * Update testtools.testcase.attr to decorators.attr
* Thu Jul 20 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev49:
  * Make cinder volume attachments available
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev47:
  * Init the orchestration client from config (part2)
  * Updated from global requirements
  * Init the orchestration client from config
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev42:
  * Updated from global requirements
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev41:
  * Update Documentation link in README
* Tue Jul 11 2017 tbechtold@suse.com
- Update to version murano-4.0.0.0b3.dev40:
  * Adapt murano documentation for new standards
  * Mark doc warnings as errors
  * Unskip test\_deploy\_app\_with\_volume\_creation test
  * Make murano user has admin role
  * Add dsl\_iterators\_limit config option
  * Use default credentials if None has been passed
  * Add Apache License Content in index.rst
  * Use openstackdocstheme everywhere
  * Skip cinder volume creation test
  * Remove long-ago deprecated show\_categories
  * Updated from global requirements
  * Use tempest.test.BaseTestCase for murano tempest tests
  * Add policy sample generation
  * Add widget for volume selection
  * Fix html\_last\_updated\_fmt for Python3
  * Add 'rm -f .testrepository/times.dbm' command in testenv
  * Remove murano default policy.json
  * Updated from global requirements
  * Policy in code for actions/static actions
  * Add WSGI support script for murano API
* Wed Jun 14 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev10:
  * docs: Add (static) actions API to api-ref
  * Policy in code for categories
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev6:
  * docs: Add search package API to api-ref
  * Updated from global requirements
* Sat Jun 10 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev3:
  * Policy in code for deployments
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b3.dev1:
  * Updated from global requirements
  4.0.0.0b2
* Thu Jun  8 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev71:
  * Policy in code for packages
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev69:
  * Remove dead code
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev67:
  * Policy in code for environment templates
  * Updated from global requirements
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev65:
  * Policy in code
  * Updated from global requirements
* Mon May 29 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev62:
  * Updated from global requirements
* Fri May 26 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev61:
  * Updated murano-apste.ini with http\_proxy\_to\_wsgi
* Fri May 26 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev59:
  * Updated from global requirements
* Wed May 24 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev58:
  * Updated from global requirements
  * Updated from global requirements
* Tue May 23 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev56:
  * Replace assertRaisesRegexp with assertRaisesRegex
* Mon May 22 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev54:
  * External object IDs couldn't be used in template() contracts
  * Remove enforce\_type=True from oslo.config set\_override
* Thu May 18 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev51:
  * Updated from global requirements
  * Modify Default Domain
  * Refactor existing context attributes to base class
* Mon May 15 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev46:
  * Using run\_process instead of screen\_it
  * Rename py27-mitaka to py72-ocata
  * Update rename environment API endpoint
* Thu May 11 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev40:
  * Stop using aliases for creds manager
* Thu May  4 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev38:
  * Updates environment api-ref
  * Updated from global requirements
  * Replace six.iteritems() with .items()
  * Make get\_token\_client\_session get auth\_uri from murano\_auth section
  * Updated from global requirements
  * Updates package api-ref
  * Allow users to assign a security group to an app
* Sat Apr 29 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev27:
  * Add bandit job to the pep8 gate for Murano
  * Add environment templates to api-ref
  * Changed admin pass to include secret marker as per bandit linting error 109
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev22:
  * Add deployments to api-ref
  * Add sessions to api-ref
  * Install devstack with murano on Python 3
  * Add categories to api-ref
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev15:
  * Fix config type of run\_service\_broker\_tests to Boolean
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version murano-4.0.0.0b2.dev14:
  * Fix doc generation for Python3
  * Added opportunity import packages without tags
  * Make murano auth with murano\_auth section instend of keystone\_authtoken
  * Adding bandit.yaml configuration to bandit
  * Add mising timeout to ApplicationCatalogClient
  * Add \`nosec\` for Bandit issue 506 in resource\_manager.py
  * Add \`--skip B104\` for Bandit issues
  * Make CinderVolume attachment info available
  4.0.0.0b1
  * Updated from global requirements
  * Change cred provider to enforce dynamic config
  * Optimize the link address
  * Add packages to api-ref
  * Adding bandit target to \`\`tox.ini\`\`
  * Set access\_policy for messaging's dispatcher
  * Fix doc build if git is absent
  * Updated from global requirements
  * Replaces uuid.uuid4 with uuidutils.generate\_uuid()
  * Replace yaml.load() with yaml.safe\_load()
  * Renames wait\_for\_volume\_status in tempest tests for consistency
  * Correct some typos in doc\_files
  * Remove heat as enable\_service in devstack
  * Fixes TypeError thrown by parallel\_select in DSL Helpers
  * Remove ALLOWED\_HOSTS using murano devstack plugin
  * Use assertIn() to replace asserTrue(\* in \*)
  * Fix removes date\_time items from dictionaries
  * Revert "Update devstack keystone\_authtoken config to fit with keystone v3"
  * Use method ensure\_tree from oslo.utils
  * Replace oslo\_utils.timeutils.isotime
  * Fill ALLOWED\_HOSTS using murano devstack plugin
  * Fix typos in class\_templ.rst & test\_catalog.py
  * Update devstack keystone\_authtoken config to fit with keystone v3
  * Fix TypeError being throw by wait\_ready in Engine System Agent
  * Fix a typo in multi\_region.rst
  * Fix TypeError being thrown by delete\_environment\_from\_space in cf\_connections
  * Increase unit test coverage for common.app\_loader
  * Increase unit test coverage for dsl session\_local\_storage
  * Fixes CFServiceInstance.to\_dict calls wrong class
  * Add hacking rule for using assertIsNone instead of assertEqual(None,\*\*\*)
  * Increase unit test coverage for dsl attribute\_store and context\_manager
  * [messaging] Using get\_notification\_transport()
  * Use default region\_name parameter in clients
  * [messaging] Using get\_notification\_transport()
  * Add \_\_ne\_\_ built-in function for murano
  * MasterSlave\* classes were deleted
  * Renamed Instance\* to Server\*
  * Refactor 'wait\_for\_environment\_deploy' function
  * Refactor merge\_dicts helper function tests
  * Use multiprocessing.cpu\_count instead of psutil.NUM\_CPUS
  * Improve \_\_init\_\_ detection
  * Fix missing parenthesis in \_getSubnetworks call
  * Port test\_agent and test\_catalog to Python 3
  * Update functional test \_get\_stack
  * Updated \*\_domain\_id to "Default"
  * [devstack] Pass MURANO\_USE\_GLARE as bool, not as str
  * [docs] Add info about sanity\_check suits
  * Pass [rabbitmq]/ca\_certs file to murano-spawned instance
  * Skip test\_migrations on Python 3
  * Support for \*args/\*\*kwargs was added to the MuranoPL
  * Fixed a bug in \_get\_glare\_url
  * Fix base64 on Python 3 in yaql\_functions.py
  * Port cloudfoundry/test\_cfapi.py to Python 3
  * Port test\_plugin\_loader to Python 3
  * Switch to using get\_notification\_listner
  * Also package murano\_tempest\_tests
  * Use \_LW for deprecation warning
  * Deprecate packages\_opts conf group
  * Add roles to RequestContext.to\_dict if they're not there
  * Use more generic "type" name instead of "murano\_class"
  * Use eventlet.monkey\_patch() before any libs are loaded
  * Remove KEYSTONE\_CATALOG\_BACKEND variable usage
  * Removes unused posix\_ipc requirement
  * [package\_cache] Lock usage\_mem\_lock based on package id
  * [Core-Library] Add 'direction' argument to '\_addGroup' method
  * Update \_get\_tags function to prevent race condition
  * Move load\_packages\_from from engine section to packages\_opts section
  * "notification\_driver" from group "DEFAULT" is deprecated
  * Python3: Replace basestring by six.string\_types
  * make enforce\_type=True in CONF.set\_override
  * user\_id column was widened to support domain users
  * Replace unicode with six.text\_type
  * Replace tenant\_id with project\_id in auth\_utils
  * fix typo in doc/source/image\_builders/upload.rst
  * Replacing application\_catalog with application-catalog
  * Add negative test for cfapi last\_status route
  * Fix logging\_setup call
  * Get scoped token from ext\_context middleware
  * Set the port to use oslo\_config PortOpt
  * Use assertIsNone instead of assertEqual(None, \*\*\*)
  * Update default devstack MURANO\_REPO\_URL
  * Streamline test\_simple\_software\_configuration
  * Customization of default\_dns in Devstack
  * Make test\_package\_is\_not\_provided less strict
  * Add 'acquired\_by' property to Environment resource
  * Fix get\_sessions state parameter not working
  * Murano waited indefinitely for UPDATE\_COMPLETE stack status
  * Fix the run\_test unchecked pep8 W503 and E402 errors
  * Add missing import of '\_' in template\_applications
  * Change ignore-errors to ignore\_errors
  * Apply yaql conventions to \_\_init\_\_ parameters
  * Add tenant\_id check for {env\_id}/lastStatus api
  * Enforced AUTO replacement\_policy for sharedIp port
  * Inherit RequestContext from oslo\_context's RequestContext
  * default\_dns from config was never used
  * Fix incorrect format syntax in app\_loader
  * Include original ObjectsCopy/Attributes in exception\_result
  * Fix logs loss after switching to oslo\_log
  * Separate load\_app from api starter
  * Allow setting eventlet.wsgi.MAX\_HEADER\_LINE
  * Handle ValueError from hot\_package
  * Use setup\_develop in devstack libs and plugin for devstack
  * Switch to oslo\_log
  * Move load\_paste\_app to the place it should be
  * Remove the wrong assert\_is\_called checking
  * [Murano Docs] Adds ref links to manage\_applications
  * cleanup murano docs in the image\_builders folder
  * Add MURANO\_REPO\_URL customization support for devstack
  * Use catalog=True for package\_loader queries
  * Fix cleanup\_duplicates PluginLoader method
  * Forbid setting is\_public via querystring
  * Add package\_count to Category objects
  * Fixed 500 error in get\_result API handler
  * Added iniset for policy\_enforcer if Congress policies are enabled
  * move configure\_network post-config to extra phase
  * Makes exception\_traceback optional for exception\_result
  * Remove 'murano\_metadata\_url' from config options
  * Reverted router\_id to router in NeutronNetwork
  * Fix rest\_client import for Tempest based tests
  * Removed deprecated run\_tests.sh
  * Change name new\_name generation
  * Add information about 'update\_settings.sh' script
  * Restore auth\_uri config option
  * Default is\_public to false
  * Use with\_variant method for dialects db types
  * Add 'userdata\_format' to Server heat template
  * Support specifying \`\`sort\_dir\`\` key in packages.search call
  * Deprecate run\_tests.sh
  * Add heat\_template\_version to network fragments
  * Allow package\_get by name
  * Refactor api.catalog.search() method to provide 'next\_marker' value
  * Send message\_id as property
  * Add notification\_driver to config in devstack
  * Add include\_disabled param to pkg search
  * Wrong Usage for dns\_ip property in AD PrimaryController
  * Use io.BytesIO instead of sqlalchemy.byte\_buffer
  * replace reference to .\_items w/ call to .items()
  * Fix missing function error in install\_venv
  * Use plural for class\_definition
  * Make fully\_qualified a unique parameter
  * statistics renamed to request\_statistics
  * Support getting and updating network\_info of environment
  * Rename RabbitMQ username field Removed use\_ssl option from settings
  * Fix running install\_venv.py
  * No ack is needed when auto\_ack set to True
  * When new DC is adding tenant\_id is added as param
  * 1. Fixed issue with main file start ./bin/windc-api 2. Added router to Route /datacenters/ and /services/ URLs 3. Added stubs for windc/core/api. 4. Fixed start-up process for service ------------------------------------------------- Now it is working service which will reply for curl http://localhost:8181/tenant\_id/datacenters/ curl http://localhost:8181/tenant\_id/datacenters/dc\_id/services curl http://localhost:8181/tenant\_id/datacenters/dc\_id/services/service\_id
* Fri Apr  7 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev47:
  * Updated from global requirements
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev46:
  * Install Guide: Fix RST
* Tue Apr  4 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev45:
  * Remove log translations
  * Updated from global requirements
* Mon Apr  3 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev42:
  * Updated from global requirements
  * Replaces uuid.uuid4 with uuidutils.generate_uuid()
  * Add environments to api-ref
  * Create official murano install guide
* Sun Mar 26 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev35:
  * Fix some reST field lists in docstrings
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev33:
  * [devstack] Remove all the dashboard config files
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev31:
  * Imported Translations from Zanata
  * Use HostAddressOpt for opts that accept IP and hostnames
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev28:
  * Replace assertEqual(None,v) with assertIsNone(v)
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev27:
  * Updated from global requirements
* Thu Mar 16 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev26:
  * Updated from global requirements
  * Adds TLS/SSL Version Support to Murano Engine
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev22:
  * Fix a typo
  * Updated from global requirements
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev19:
  * Replace yaml.load() with yaml.safe_load()
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev18:
  * Agent initialization was fixed
  * Updated from global requirements
  * [Fix gate] Update oslo.messaging constructors following recent change
  * Updated from global requirements
  * Renames wait_for_volume_status in tempest tests for consistency
  * Updated from global requirements
  * Correct some typos in doc_files
  * Remove skip test from murano engine package loader unit test
  * cors: update default configuration
  * Initial commit for murano api-ref
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev5:
  * Update reno for stable/ocata
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version murano-3.2.1.dev3:
  * Updated from global requirements
  * Fixes cfapi unit test conflicting with other tests
  3.2.0
  * Use https instead of http for git.openstack.org
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version murano-3.1.1.dev17:
  * Fix murano-api docs
* Sat Feb 11 2017 cloud-devel@suse.de
- Update to version murano-3.1.1.dev16:
  * Remove support for py34
  * Remove heat as enable_service in devstack
* Fri Feb 10 2017 cloud-devel@suse.de
- Update to version murano-3.1.1.dev12:
  * Fixed opportunity run muranoagent twice
* Sun Feb  5 2017 cloud-devel@suse.de
- Update to version murano-3.1.1.dev11:
  * Prepare for using standard python tests
  * Make use of already registered group
  * Increase unit test coverage for Cfapi
  * Fixes various Cfapi bugs
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version murano-3.1.1.dev4:
  * 'io.murano.apps.' is not used to download packages
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version murano-3.1.1.dev2:
  * v1 execution plan template processing was fixed
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version murano-3.1.1.dev1:
  3.1.0
  * Updated from global requirements
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev372:
  * Updated from global requirements
  * Fix typos
  * Exclude build dir for flake8 test
  * Add debug to tox enviroment
  * Allows fetching of deployments from all environments
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev363:
  * Marking rabbitmq password config property as secret
  * Fixes various documentation typos in Murano automated tests description
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev360:
  * Updated from global requirements
  * Increase unit test coverage for Common WSGI
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev357:
  * Update response code descriptions in API spec
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev355:
  * Let admin can delete user's environment
  * Increase unit test coverage for Common Auth Utils
  * Remove ALLOWED_HOSTS using murano devstack plugin
* Wed Jan 11 2017 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev350:
  * Correct the wrong calling 'getExternalNetworkIdForRouter'
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev349:
  * Fix a typo
  * Updated from global requirements
  * Increase unit test coverage for DSL Helpers
* Fri Dec 30 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev345:
  * Fixes TypeError thrown by parallel_select in DSL Helpers
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev343:
  * Developing Murano Packages 101
* Wed Dec 28 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev341:
  * Removes unnecessary utf-8 encoding
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev340:
  * Use test-config phase for configuring murano tempest
  * Updated from global requirements
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev337:
  * Updated from global requirements
  * Use assertIn() to replace asserTrue(* in *)
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev333:
  * ExistingNeutronNetwork didn't return IPs for the instance
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev332:
  * Deleting dates from dictionaries to skip it in assert
  * Use assertIsNone(...) instead of assertIs(None, ...)
  * Add log translation marker
  * Updated from global requirements
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev326:
  * modify print information
  * Modify variable's usage in Log Messages
  * Updated from global requirements
  * Replace six iteration methods with standard ones
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev320:
  * Translate info-level log messages for LOG.error
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev318:
  * Updated from global requirements
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev317:
  * Fix syntax errors of the comments
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev315:
  * Murano can now properly attach VMs to shared networks
  * Fixed SharedIp class
  * Fix removes date_time items from dictionaries
  * Reduce the amount of smoke tests from 61 to 40
  * Fix a typo
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev305:
  * Always declare agent RabbitMQ queues
  * 2 forgotten files from https://review.openstack.org/#/c/401327
* Sun Nov 27 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev302:
  * Show team and repo badges on README
  * Ability to retrieve current/owner user/project
* Sat Nov 26 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev298:
  * Updated from global requirements
  * Fix syntax errors of exception print
  * Increase unit test coverage for common wsgi
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev293:
  * Add Nova anti-affinity rules
  * Multi-region support for WindowsInstance
  * Configuration is now properly applied to new nodes
  * Fix typos in cover.sh
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev286:
  * Revert "Update devstack keystone_authtoken config to fit with keystone v3"
  * HeatStack async mode fix
  * Don't purge random stacks
  * [Docs] Restructuring
* Wed Nov 16 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev281:
  * Updated from global requirements
  * Add murano-pkg-check to the test-requirements.txt
  * Use method ensure_tree from oslo.utils
* Sat Nov 12 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev276:
  * [Docs] Restructuring
* Fri Nov 11 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev274:
  * Replace oslo_utils.timeutils.isotime
* Thu Nov 10 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev272:
  * Updated from global requirements
* Tue Nov  8 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev271:
  * Fill ALLOWED_HOSTS using murano devstack plugin
  * Updated from global requirements
  * Order the packages for parameter search
  * Typo fix in murano
  * Documentation for Parameters and ParametersSource
  * Fix typos in class_templ.rst & test_catalog.py
  * Filter enviroment list by project id
* Thu Nov  3 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev258:
  * Fix debug output for SSLMiddleware X-Forwarded-Proto
  * Update devstack keystone_authtoken config to fit with keystone v3
* Wed Nov  2 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev254:
  * OpenStack typo
* Tue Nov  1 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev252:
  * Updated from global requirements
* Thu Oct 27 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev251:
  * Updated from global requirements
* Sun Oct 23 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev249:
  * Increase unit test coverage for common engine and instance statistics API
  * Increase unit test coverage for Version Negotiation API
  * Increase test coverage for Schema Generation API
* Sat Oct 22 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev243:
  * Updated from global requirements
  * Move test with cinder backup creation to the IsolatedAdmin suite
  * Fixed Shellcheck's warnings in murano-agent
  * Fix TypeError being throw by wait_ready in Engine System Agent
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev236:
  * Increase unit test coverage for Stats API
  * Increase unit test coverage for Manage CLI
* Thu Oct 20 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev232:
  * Unblocking the gate
  * Update .coveragerc after the removal of openstack directory
  * Increase unit test coverage for Heat Stack
* Wed Oct 19 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev227:
  * Added LICENSE to application development library
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev225:
  * Repair cinder integration tests
  * Improve first app builds
  * Increase unit test coverage for Agent API
  * Increase unit test coverage for engine system
  * Increase unit test coverage for CFConnections API
  * Increase unit test coverage for mqclient
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev214:
  * Remove getRegion() calls from network initializers
  * Updated from global requirements
  * Increase unit test coverage for db services environments and engine system
  * [docs] fix typo manual installation
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev207:
  * Updated from global requirements
  * [docs] Update API spec with info about environment model API
  * [docs] Add info about show env model and edit env model commands
* Thu Oct 13 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev202:
  * Fix statservice save db error
  * Improve tests documentation markup
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev199:
  * Increase unit test coverage for Engine Package Loader
  * Fix TypeError being thrown by six.reraise in Engine Package Loader
  * Fix a typo in multi_region.rst
  * Fixes Statistics class create referencing invalid attributes for models.ApiStats
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev191:
  * Increase unit test coverage for murano heat stack and yaql
* Mon Oct 10 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev189:
  * Increase unit test coverage for DB Instances API
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev187:
  * Enable release notes translation
  * Updated from global requirements
  * [Docs] Add skeleton for My first Murano app guide
  * Fix TypeError being thrown by delete_environment_from_space in cf_connections
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev180:
  * Initialize environments with empty metadata
  * Add environment edit API
  * MetadataAware mixin added to Core Library
  * GC unit test coverage increased
  * Increase unit test coverage for External Context Middleware
  * Increase unit test coverage for murano heat stack
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev168:
  * Increase unit test coverage for base Utils
  * Metadata storage in object model
  * Increase unit test coverage for common.app_loader
  * Increase unit test coverage for Stat Service API
  * Increase unit test coverage for Common Server API
  * Increase unit test coverage for Schemas API
  * Increase unit test coverage for Sessions API
  * Mark .testr.conf as not-executable
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev152:
  * Correctly release CinderVolumes
  * Fix typo and make docstring more clear
  * Murano bindings to Glance Metadef API
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev146:
  * Allow to PUT an empty object model
  * Updated from global requirements
  * Increase unit test coverage for hacking checks
  * [Docs] [networking] section for multi-region deployment
  * Increase unit test coverage for Services Actions API
  * Async HeatStack::push
  * Fix indentation in ReplicationGroup class
  * Increase unit test coverage for test fixture
  * Using assertIsNotNone() instead of assertNotEqual(None) and assertIsNot(None)
  * Change assertTrue(isinstance()) by optimal assert
  * Increase unit test coverage for dsl session_local_storage
  * Fix invalid SessionState.deploying reference in services actions
  * Increase unit test coverage for Hot Package API
  * Prevent unnecessary stack.push in Instance::releaseResources
  * Increase unit test coverage for services api
  * Adds menuselection syntax in enduser guide, quick start section
  * Increase unit test coverage for Package Base API
  * Increase unit test coverage for exceptions in Packages API
  * Increase unit test coverage for common utils
  * Change assertTrue(isinstance()) by optimal assert
  * Fixes CFServiceInstance.to_dict calls wrong class
  * Increase unit test coverage for murano db and db services
  * MuranoPL garbage collection system overview
  * Fix menuselection syntax in enduser-guide
  * Increase unit test coverage for Load Utils API
  * Increase unit test coverage for MPL Package API
  * Increase unit test coverage for system agent
  * Remove the unused images
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev90:
  * Refactoring of Instance::ipAddresses retrieving
  * Increase unit test coverage for dsl attribute_store and context_manager
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev86:
  * Fix the python3.4 TypeError
  * Fix typo
  * Revises json to JSON, yaml to YAML and yaql to YAQL in documents
  * Use sys.maxsize instead of sys.maxint
  * Updated from global requirements
  * Fix copying file before checking it exists in hot package
  * Call addGroupingress() in init of NeutronSecurityGroupManager
  * Fix a grammatical error
  * Increase unit test coverage for Static Actions API
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev69:
  * Fix removes duplicated phrase from the document
  * Increase unit test coverage for Env Templates API
  * Increase unit test coverage for Actions API
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev63:
  * [Docs] Document Multi-Region Support
  * [docs] Add info about template() contract
  * Updated from global requirements
  * Add quotes to versions
  * Add hacking rule for using assertIsNone instead of assertEqual(None,***)
  * Fix some typos in devstack readme
  * Install all apps from ./meta directory on devstack
  * Remove unused config.CONF
  * [Docs] Migration guide to newton for application developer
  * Remove networking config section from devstack settings
  * Use fnmatch from oslo.utils
  * [Core Library] Add getInstanceIpList to NovaNetwork
  * [Docs] Update screenshots
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version murano-3.0.0.0rc2.dev38:
  * Documentation on App development framework
  * Increase unit test coverage for Catalog API
* Mon Sep 26 2016 tbechtold@suse.com
- Update to version murano-3.0.0.0rc2.dev34:
  * Updated from global requirements
  * Add missing ":command:" markup for the command
  * Remove unnecessary setUp
  * Replace retrying with tenacity
  * Increase unit test coverage for api deployments
  * Convert =0 version specs to ==0 specs
  * Move getRegion() in CinderVolume to deploy() method
  * Update docs with installation of io.murano.applications
  * Fix a typo in utils.py
  * Updated from global requirements
  * [messaging] Using get_notification_transport()
  * [Docs] Murano plug-ins
  * Increase unit test coverage
  * Remove  default=None for config options
  * Add unit versioning test suite
  * Updated from global requirements
  * Update reno for stable/newton
  * Fixes ObjectDestroyedError on StackTrace object
  * Move session.finish() to 'finally' block
  3.0.0.0rc1
  * Forces applications to be deleted before Heat stack
  * Prevent logging of result of resources.string() method call
  * Prevent executor finalization until exception are not handled
  * Small fixes in Core Library
  * [docs] Conventional changes and formatting fixes
  * Serialization of destruction dependencies
  * GC.isDoomed() and GC.isDestroyed() functions were added
  * Serialization of destroyed objects
  * Raise exception on call of method of destroyed object
  * Pass receiver to :GC.subscribeDestruction explicitly
  * On-demand garbage collection
  * Break cyclic references in DSL
  * Cleanup, clarify newton release-notes
  * [Doc] Add auth params to core library import instruction
  * Fix multiple errors in network configuration function
  * Add joinedNetworks property to Instance class
  * Use openstack-client variables in openstack CLI calls
  * Better detect and configure murano-agent pre-installed on image
  * Updated from global requirements
  * Adjust region name for network selection in devstack
  * Make tests compose packages in temporarily directory
  * [Docs] Add info about using abstract dependencies between applications
  * Use default region_name parameter in clients
  * Create glare client in functional tests
  * [messaging] Using get_notification_transport()
  * Move misplaced reno notes in place
  * Fix NetworkExplorer creation
  * Fix adds notes about replacements of items between %% signs
  * Fixes invalid expression in app dev framework
  * Set the desired hostname to a instance using murano instead of Murano Pattern
  * Add __ne__ built-in function for murano
  * Object's properties deserialize was fixed
  * Fix for Wrong reference in glare docs
  * ObjectStore parent lookup with temporary id was fixed
  3.0.0.0b3
  * Updated from global requirements
  * Type name resolution was fixed
  * Increase description column length in task table
  * An initial commit for MuranoPL garbage collector
  * MasterSlave* classes were deleted
  * Alive objects from Objects and ObjectsCopy were merged
  * Migrate JSON schema generator to new framework
  * Update clients with multi-region support
  * Update app dev framework with multi-region support
  * New framework for contracts
  * TestFixture mocks were updated
  * firstOrDefault() was replaced with first(null)
  * Replace functions 'Dict.get' and 'del' with 'Dict.pop'
  * Updated from global requirements
  * TrivialFix: Remove cfg import unused
  * modify the home-page info with the developer documentation
  * Correct murano reraising of exception
  * Update Readme with correct Doc URL
  * Install all dashboard/panel files from murano-dashboard
  * OpenstackSecurityConfigurable was renamed
  * Allow network driver selection override
  * Fix some typos in wsgi.py & catalog.py
  * Updated from global requirements
  * Remove pot files
  * Adds more replica provider primitives
  * Migration of replication to the template() contract
  * Clean imports in code
  * Update the UI test running documentation
  * Change Murano API detection in tests and fix tests itself
  * [docs] Add instruction to add policy files to horizon
  * Use upper constraints for all jobs in tox.ini
  * Base Application classes for App Development Framework
  * Extracted replication capabilities from ServerGroup
  * Updated from global requirements
  * Revert "Fix config group for SSL in tempest test"
  * Fix config group for SSL in tempest test
  * Fixes congress integration
  * SoftwareComponent hierarchy refactoring
  * [Docs] Moves network configuration to admin-guide
  * Support for multi-regional apps was added
  * [docs] Remove "meta-class" term
* Fri Aug 19 2016 igarcia@suse.com
- Initial version of openstack-murano package
